## org.omg.DynamicAny
Class NameValuePair

    java.lang.Object
      |
      +--org.omg.DynamicAny.NameValuePair

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class NameValuePair
extends java.lang.Object
implements IDLEntity

Struct definition : NameValuePair

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` `id` Struct member id
`Any` `value` Struct member value

Constructor Summary
`NameValuePair()` Default constructor
`NameValuePair(java.lang.String id, Any value)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Struct member id

### value

    public Any value

  Struct member value

Constructor Detail

### NameValuePair

    public NameValuePair()

  Default constructor

### NameValuePair

    public NameValuePair(java.lang.String id,
                         Any value)

  Constructor with fields initialization
  Parameters:
    `id` - id struct member
    `value` - value struct member